package com.seer.teach.mall.shipping.jt.http;

public class HttpClientConfig {

    public static int CONNECT_TIME_OUT = 10000;
    public static int CONNECTION_REQUEST_TIME_OUT = 10000;
    public static int SOCKET_TIME_OUT = 10000;
    public static int MAX_PRE_ROUTE = 50;
    public static int MAX_TOTAL = 200;
    public static int VALIDATE_AFTER_INACTIVITY = 10000;

    public static void setConnectTimeOut(int connectTimeOut) {
        CONNECT_TIME_OUT = connectTimeOut;
    }

    public static void setConnectionRequestTimeOut(int connectionRequestTimeOut) {
        CONNECTION_REQUEST_TIME_OUT = connectionRequestTimeOut;
    }

    public static void setSocketTimeOut(int socketTimeOut) {
        SOCKET_TIME_OUT = socketTimeOut;
    }

    public static void setMaxPreRoute(int maxPreRoute) {
        MAX_PRE_ROUTE = maxPreRoute;
    }

    public static void setMaxTotal(int maxTotal) {
        MAX_TOTAL = maxTotal;
    }

    public static void setValidateAfterInactivity(int validateAfterInactivity) {
        VALIDATE_AFTER_INACTIVITY = validateAfterInactivity;
    }
}
